Krb5AndCertsSslSocketConnector.MODE (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.security
Enum Krb5AndCertsSslSocketConnector.MODE

    java.lang.Object
      java.lang.Enum<Krb5AndCertsSslSocketConnector.MODE>
          org.apache.hadoop.security.Krb5AndCertsSslSocketConnector.MODE

All Implemented Interfaces:
  Serializable, Comparable<Krb5AndCertsSslSocketConnector.MODE>

Enclosing class:
  Krb5AndCertsSslSocketConnector

    public static enum Krb5AndCertsSslSocketConnector.MODE

extends Enum<Krb5AndCertsSslSocketConnector.MODE>

Enum Constant Summary
`BOTH`
`CERTS`
`KRB`

Method Summary
`static Krb5AndCertsSslSocketConnector.MODE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Krb5AndCertsSslSocketConnector.MODE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### KRB

    public static final Krb5AndCertsSslSocketConnector.MODE KRB

### CERTS

    public static final Krb5AndCertsSslSocketConnector.MODE CERTS

### BOTH

    public static final Krb5AndCertsSslSocketConnector.MODE BOTH

Method Detail

### values

    public static Krb5AndCertsSslSocketConnector.MODE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Krb5AndCertsSslSocketConnector.MODE c : Krb5AndCertsSslSocketConnector.MODE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Krb5AndCertsSslSocketConnector.MODE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation